{{ include('layout/rightColumnCloseButton.twig') }}

<h2>Création d'un objet </h2>

{% if surface != null %}
    <p>Surface : {{ surface|round }} m² = {{ (surface/10000)|round(2,'floor') }} hectares</p>
{% endif %}
{% if lineaire != null %}
    <p>Linéaire : {{ lineaire|round }} m = {{ (lineaire/1000)|round(2,'floor') }} km</p>
{% endif %}

{# Attention @sr: <form ETAIT sans action='#'. TOTEST #}
<form method="post" id="formNouvelObjet" action='#'>

    <div class='form-group'>
        <label>Type d'objet</label>
        <select  name="sysma_object_type_id" id="sysma_object_type_id" class="form-control">
            {% for TO in tabTO %}    

                {% if [app.session.get('user_id'),null,TO.sysma_object_type_id , null, null, null, null, 'contributeur']|hasAccess %}

                    <option value="{{TO.sysma_object_type_id}}"
                            {{ app.session.get('sysma_object_type_id')!=null and app.session.get('sysma_object_type_id')==TO.sysma_object_type_id ? 'selected' : null }}>
                        {{TO.sysma_object_type|raw}}</option>

                {% endif %}
            {% endfor %}
        </select>
    </div>

    <div class='form-group'>
        <label>Nom de l'objet</label>
        <input name="sysma_object" value="" class="form-control" maxlength="255"/>        
    </div>

    {% if app.session.get('user_id')!=ANONYMID %}
        <div class='form-group'>
            <label>Statut</label>

            <select  name="status" class="form-control">
                {% for S in tabStatuts %}            
                    <option value="{{S.status_value}}"
                            {% if app.session.get('status')!=null and app.session.get('status')==S.status_value %}
                                selected
                            {%  elseif S.status_value=='existant' %}
                                selected
                            {%  endif %}
                            >
                        {{S.status}} - {{S.description}}</option>
                    {% endfor %}
            </select>       
        </div>
    {% else %}
        <input name="status" value="existant" type="hidden" />    
    {% endif %}


    {% if app.session.get('user_id')!=ANONYMID %}
        <div class='form-group'>
            <label>Date de création (ou d'installation)</label>
            <input data-toggle="tooltip" data-placement="bottom" title="Date d'installation de l'objet sur le terrain pour un objet artificiel ou bien 0 dans le cas d'un élément naturel présent depuis une date indéterminée."  name="start_date" id="dateCreation" value="{{ app.session.get('start_date')!=null ? app.session.get('start_date') : "now"|date('Y-m-d') }}" class="form-control" onchange="checkDate('dateCreation', 'dateCreationComment', 'boutonCreerObjet', 'end_date');" required="required" />        
            <div id="dateCreationComment"></div>
        </div>
    {% else %}
        <input name="start_date" value="{{ "now"|date('Y-m-d') }}" type="hidden" />    
    {% endif %}

    {% if app.session.get('user_id')!=ANONYMID %}
        <div class='form-group'>
            <label>Date de fin (ou de suppression, disparition)</label>
            <input  data-toggle="tooltip" data-placement="bottom" title="0 si l'objet existe encore (l'objet n'a pas de date de fin). Si l'objet a été supprimé, la date de fin est celle de sa suppression"   name="end_date" id="end_date" value="{{ app.session.get('end_date')!=null ? app.session.get('end_date') : '0' }}" class="form-control" onchange="checkDate('end_date', 'end_dateComment', 'boutonCreerObjet', 'dateCreation');" required="required" />  
            <div id="end_dateComment"></div>
            <div id="end_dateComment2"></div>
        </div>  
    {% else %}
        <input name="end_date" value="0" type="hidden" />    
    {% endif %}

    {% if app.session.get('user_id')!=ANONYMID %}
        <div class='form-group'>
            <label>Structure</label>
            <select  name="organisation_id" class="form-control">
                {% for S in taborganisation %}         
                    {% if [app.session.get('user_id'),S.organisation_id,null,'tous',null,null,null,'contributeur']|hasAccess %}
                        <option value="{{S.organisation_id}}"
                                {{ app.session.get('organisation_id')!=null and app.session.get('organisation_id')==S.organisation_id ? 'selected' : null }}>
                            {{S.organisation|raw}}</option>
                        {% endif %}
                    {% endfor %}

            </select>
        </div>
    {% else %}
        <input name="organisation_id" value="ANONYMID" type="hidden" />    
    {% endif %}


    <button  id="boutonCreerObjet"  href="#" class="btn btn-primary" onclick="createFeature('formNouvelObjet', {{ index }}, $('#sysma_object_type_id').val(), event);" >
        Créer</button>


    <input type="hidden" name="geom" value="{{ geom }}" />
    <input type="hidden" name="sysma_object_id" id="sysma_object_id" value="{{ index }}" />




</form>


<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
</script>